> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thepublive.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Form Schemas



## OpenAPI

````yaml /openapi/content-management.json get /publisher/{publisher_id}/form/schema/
openapi: 3.1.0
info:
  title: Publive Content Management API
  version: 1.0.0
  description: >-
    Read/write API for managing publisher content: categories, tags, posts, live
    blogs, media, custom content types, custom components, forms, reader
    accounts, and newsletter subscriptions.
servers:
  - url: https://cms.thepublive.com
security:
  - basicAuth: []
tags:
  - name: Categories
  - name: Tags
  - name: Posts
  - name: Live Blogs
  - name: Media Library
  - name: Custom Content Types
  - name: Custom Components
  - name: Forms
  - name: Reader
  - name: Newsletter
paths:
  /publisher/{publisher_id}/form/schema/:
    get:
      tags:
        - Forms
      summary: List Form Schemas
      operationId: listFormSchemas
      parameters:
        - $ref: '#/components/parameters/PublisherId'
      responses:
        '200':
          description: Paginated form schema list
          content:
            application/json:
              schema:
                type: object
                properties:
                  count:
                    type: integer
                  next:
                    type:
                      - string
                      - 'null'
                  previous:
                    type:
                      - string
                      - 'null'
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/FormSchema'
                  status: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  parameters:
    PublisherId:
      name: publisher_id
      in: path
      required: true
      schema:
        type: string
      description: Your Publisher ID
  schemas:
    FormSchema:
      type: object
      properties:
        id:
          type: string
          description: 24-character hex string
        name:
          type: string
        description:
          type: string
        type:
          type: string
        state:
          type: string
        field_types:
          type: array
          items:
            $ref: '#/components/schemas/FieldTypeObject'
        groups:
          type: array
          items:
            type: object
        settings:
          $ref: '#/components/schemas/SettingsObject'
        form_page:
          type: object
        captcha_config:
          type: object
          properties:
            site_key:
              type: string
        created_at:
          type: string
        updated_at:
          type: string
        updated_by:
          type: string
        deleted:
          type: boolean
    FieldTypeObject:
      type: object
      properties:
        name:
          type: string
        type:
          type: string
          description: >-
            e.g. short_text, long_text, url, email, integer, boolean, media (not
            an exhaustive list)
        meta_data:
          type: object
          properties:
            label:
              type: object
              properties:
                value:
                  type: string
            tooltip:
              type: object
              properties:
                value:
                  type: string
            type:
              type: object
              properties:
                value:
                  type: string
            placeholder:
              type: object
              properties:
                value:
                  type: string
            default:
              type: object
              properties:
                value: {}
        validations:
          type: object
          properties:
            required:
              type: boolean
            group_editable:
              type: boolean
            max_length:
              type: integer
        group_id:
          type: string
      required:
        - name
        - type
    SettingsObject:
      type: object
      properties:
        entry_title:
          type: string
        searchable_fields:
          type: array
          items:
            type: string
        filter_fields:
          type: array
          items:
            type: string
        allowed_states:
          type: array
          items:
            type: string
            enum:
              - Published
              - Draft
              - Scheduled
              - Approval Pending
        access_control:
          type: object
        enable_component_preview:
          type: boolean
        enable_content_rule:
          type: boolean
        enable_custom_date:
          type: boolean
        enable_seo_properties:
          type: boolean
        enable_code_ingestion:
          type: boolean
    ErrorDetail:
      type: object
      properties:
        detail:
          type: string
  responses:
    Unauthorized:
      description: Invalid or missing credentials
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorDetail'
          example:
            detail: Invalid Auth Credentials
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: HTTP Basic Auth using your Publive API key pair, base64-encoded.

````